Manuale di FreeBSD
Indietro | Capitolo 3 Basi di Unix | Avanti

# 3.6 Montaggio e Smontaggio dei File system

Il file system è raffigurato in maniera ottimale da un albero, radicato, per così dire, in `/`. Le directory `/dev`, `/usr`, e le altre directory che stanno all'interno della directory root sono i rami, i quali possono essere a loro volta ramificati, come in `/usr/local`, e così via.

Esistono varie ragioni per mantenere alcune di queste directory su file system separati. La directory `/var` contiene le directory `log/`, `spool/`, e vari tipi di file temporanei, e come tale, può riempirsi. Riempire il file system root non è una buona idea, quindi scindere la directory `/var` da `/` è spesso vantaggioso.

Un'altra motivazione per mantenere certi alberi di directory su altri file system è quando questi alberi sono alloggiati su dischi fisici separati, o sono dischi virtuali separati, come avviene per i mount del Network File System, o dei dispositivi CDROM.

## 3.6.1 Il File `fstab`

Durante la fase di avvio, i file system elencati nel file `/etc/fstab` sono montati in modo automatico (a meno che siano specificati con l'opzione `noauto`).

Il file `/etc/fstab` contiene una serie di righe il cui formato è il seguente:

    device       /mount-point fstype     options      dumpfreq     passno

`device`

  Il nome del dispositivo (che deve esistere), come spiegato nella Sezione 18.2.

`mount-point`

  La directory (che deve esistere), sulla quale montare il file system.

`fstype`

  Il tipo di file system da passare a mount(8). Il file system di default di FreeBSD è `ufs`.

`options`

  `rw` per file system leggibili-scrivibili, oppure `ro` per file system solamente leggibili, seguite da altre opzioni che potrebbero essere necessarie. Un'opzione comune è `noauto` per i file system che normalmente non sono montati durante la sequenza di avvio. Altre opzioni sono elencate nella pagina man di mount(8).

`dumpfreq`

  Viene usato da dump(8) per determinare quali file system richiedono un dump. Se non si specifica nulla, viene assunto il valore zero.

`passno`

  Determina l'ordine secondo il quale i file system vengono controllati. I file system che devono saltare il controllo devono avere i loro `passno` settati a zero. Il file system root (che deve essere controllato prima di qualsiasi altra cosa) deve avere il suo `passno` settato a uno, e i `passno` degli altri file system devono essere settati a valori maggiori di uno. Se più di un file system ha lo stesso `passno` allora fsck(8) tenterà di controllare i file system in parallelo.

Per maggiori informazioni sul formato del file `/etc/fstab` e sulle opzioni che esso contiene consulta la pagina man fstab(5).

## 3.6.2 Il Comando `mount`

Il comando mount(8) è ciò che in definitiva viene usato per montare i file system.

La sua forma di utilizzo elementare è:

    # mount device mountpoint

Esistono molte opzioni, come spiegato nella pagina man di mount(8), ma le più comuni sono:

Opzioni di Mount

`-a`

  Monta tutti i file system elencati nel file `/etc/fstab`. Le eccezioni sono quei file system specificati come “noauto”, quelli esclusi dalla flag `-t`, o quei file system che sono già montati.

`-d`

  Fà tutto ad eccezione della attuale system call di mount. Questa opzione risulta utile in congiunzione con la flag `-v` per determinare quello che mount(8) sta effettivamente tentando di fare.

`-f`

  Forza il mount di un file system non correttamente smontato (pericoloso), o forza la revoca di accesso in scrittura quando si declassa lo stato di mount di un file system da lettura-scrittura a lettura solamente.

`-r`

  Monta il file system in sola lettura. Questo è identico ad usare l'argomento `ro` (`rdonly` per versioni di FreeBSD dopo la 5.2) con l'opzione `-o`.

`-t` `fstype`

  Monta il dato file system secondo il tipo di file system specificato, oppure, se affiancato dall'opzione `-a`, monta solamente i file system di un dato tipo.

  “ufs” è il tipo di file system di default.

`-u`

  Aggiorna le opzioni di mount sul file system.

`-v`

  Modalità verbosa.

`-w`

  Monta il file system in lettura-scrittura.

L'opzione `-o` accetta una lista di argomenti separati da una virgola, inclusi i seguenti:

noexec

  Non permette l'esecuzione di binari su questo file system. Questa è un'altra utile opzione di sicurezza.

nosuid

  Non permette l'interpretazione delle flag setuid o setgid sul file system. Anche questa è un'utile opzione di sicurezza.

## 3.6.3 Il Comando `umount`

Il comando umount(8) accetta, come unico parametro, un punto di mount, un nome di dispositivo, l'opzione `-a` o l'opzione `-A`.

Tutte queste modalità accettano l'opzione `-f` per forzare la smontatura, e l'opzione `-v` per la modalità verbosa. Sei avvisato che l'opzione `-f` non è in generale un buona idea. Smontare in modo forzato i file system può mandare in crash il computer o danneggiare i dati sul file system.

Le opzioni `-a` e `-A` sono usate per smontare tutti i file system, con la possibilità di specificare i tipi di file system elencandoli dopo la flag `-t`. Tuttavia, l'opzione `-A` non tenta di smontare il file system root.

Indietro | Partenza | Avanti
Organizzazione del Disco | Risali | I Processi

Questo, ed altri documenti, possono essere scaricati da ftp://ftp.FreeBSD.org/pub/FreeBSD/doc/.

Per domande su FreeBSD, leggi la documentazione prima di contattare <questions@FreeBSD.org>.
Per domande su questa documentazione, invia una e-mail a <doc@FreeBSD.org>.